Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class AttributeSubqueryQualification

    java.lang.Object
      oracle.ifs.search.SearchQualification
          oracle.ifs.search.AttributeQualification
              oracle.ifs.search.AttributeSubqueryQualification

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AttributeSubqueryQualification

extends AttributeQualification

An AttributeSubqueryQualification encapsulates a condition on an Attribute, using a subquery to avoid a join.

This subclass of AttributeQualification inherits most of the behavior, and overrides to produce a subquery using an exists qualification of the form: `exists (select 1 from inneralias where inneralias. = . and {condition} )`

See Also:
  Serialized Form
(Published)

Field Summary
`protected java.lang.String` | `m_InnerClassJoinAttribute` Represents the Name of the attribute in the inner class on which to join.
`protected java.lang.String` | `m_ParentClassAlias` Represents the Name of the alias used for the parent Class.
`protected java.lang.String` | `m_ParentClassJoinColumn` Represents the column name in the parent class on which to join.

Fields inherited from class oracle.ifs.search.AttributeQualification
`DATE_COMP_DAY, DATE_COMP_HOUR, DATE_COMP_MIN, DATE_COMP_MONTH, DATE_COMP_SEC, DATE_COMP_YEAR, ENDS_WITH, EQUAL, GREATER_THAN, GREATER_THAN_EQUAL, IS_NOT_NULL, IS_NULL, LESS_THAN, LESS_THAN_EQUAL, LIKE, m_Attribute, m_AttributeDataType, m_AttributeId, m_AVValue, m_Class, m_CompOper, m_DateCompLevel, m_DateValue, m_EscapeClause, m_IgnoreCase, m_Opers, m_ReverseOpers, m_SQLValue, m_Value, NOT_EQUAL, NOT_LIKE, STARTS_WITH`

Fields inherited from class oracle.ifs.search.SearchQualification
`LATE_BIND_OPER`

Constructor Summary
`AttributeSubqueryQualification()` Constructs an AttributeSubqueryQualification.

Method Summary
`protected void` | `accept(oracle.ifs.search.SearchQualificationVisitor v)` Accepts a SearchQualificationVisitor.
`java.lang.String` | `getInnerAliasName()` Gets the name used for the alias of the class used in the subquery.
`java.lang.String` | `getInnerClassJoinAttribute()` Gets the Attribute used for the inner Class join.
`java.lang.String` | `getParentClassAlias()` Gets the name used for the parent Class alias.
`java.lang.String` | `getParentClassJoinColumn()` Gets the name used for the parent Class join column.
`void` | `setInnerClassJoinAttribute(java.lang.String joinAttrName)` Sets the Attribute used for the inner Class join.
`void` | `setParentClassAlias(java.lang.String parentAlias)` Sets the name used for the parent Class alias.
`void` | `setParentClassJoinColumn(java.lang.String columnName)` Sets the name used for the parent Class join column.
`protected java.lang.String` | `toSQL(java.lang.String innerViewName, java.lang.String innerAliasName, java.lang.String innerJoinColumn, java.lang.String condition)` Returns the SQL clause that represents the qualification.

Methods inherited from class oracle.ifs.search.AttributeQualification
`getAttributeClassname, getAttributeName, getDateComparisonLevel, getEscapeClauseCharacter, getOperatorType, getValue, isCaseIgnored, isLateBound, operatorTypeName, setAttribute, setAttribute, setCaseIgnored, setDateComparisonLevel, setEscapeClauseCharacter, setOperatorType, setOperatorType, setValue, setValue, setValue, setValueLateBound, toSQL, toSQL, validateOperator`

Methods inherited from class oracle.ifs.search.SearchQualification
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_InnerClassJoinAttribute

    protected java.lang.String m_InnerClassJoinAttribute

  Description copied from class: `AttributeSubqueryQualification`
  Represents the Name of the attribute in the inner class on which to join.

### m_ParentClassAlias

    protected java.lang.String m_ParentClassAlias

  Description copied from class: `AttributeSubqueryQualification`
  Represents the Name of the alias used for the parent Class.

### m_ParentClassJoinColumn

    protected java.lang.String m_ParentClassJoinColumn

  Description copied from class: `AttributeSubqueryQualification`
  Represents the column name in the parent class on which to join.

Constructor Detail

### AttributeSubqueryQualification

    public AttributeSubqueryQualification()

  Constructs an AttributeSubqueryQualification.

Method Detail

### setInnerClassJoinAttribute

    public void setInnerClassJoinAttribute(java.lang.String joinAttrName)

  Description copied from class: `AttributeSubqueryQualification`
  Sets the Attribute used for the inner Class join.

  Parameters:
    `joinAttrName` - The name of the attribute in the inner class on which to join

### setParentClassAlias

    public void setParentClassAlias(java.lang.String parentAlias)

  Description copied from class: `AttributeSubqueryQualification`
  Sets the name used for the parent Class alias.

  Parameters:
    `parentAlias` - The name used for the parent Class alias

### setParentClassJoinColumn

    public void setParentClassJoinColumn(java.lang.String columnName)

  Description copied from class: `AttributeSubqueryQualification`
  Sets the name used for the parent Class join column.

  Parameters:
    `columnName` - The column name in the parent class on which to join

### getInnerClassJoinAttribute

    public java.lang.String getInnerClassJoinAttribute()

  Description copied from class: `AttributeSubqueryQualification`
  Gets the Attribute used for the inner Class join.

  Returns:
    The name of the attribute in the inner class on which to join

### getParentClassAlias

    public java.lang.String getParentClassAlias()

  Description copied from class: `AttributeSubqueryQualification`
  Gets the name used for the parent Class alias.

  Returns:
    The name used for the parent Class alias

### getParentClassJoinColumn

    public java.lang.String getParentClassJoinColumn()

  Description copied from class: `AttributeSubqueryQualification`
  Gets the name used for the parent Class join column.

  Returns:
    The name column in the parent class on which to join

### getInnerAliasName

    public java.lang.String getInnerAliasName()

  Description copied from class: `AttributeSubqueryQualification`
  Gets the name used for the alias of the class used in the subquery.

  Returns:
    The name used for the inner alias

### accept

    protected void accept(oracle.ifs.search.SearchQualificationVisitor v)
                   throws IfsException

  Description copied from class: `AttributeSubqueryQualification`
  Accepts a SearchQualificationVisitor.

  Calls `visitAttributeSubqueryQualifier` on the visitor. The code in visitAttributeSubqueryQualifier is specific to the Visitor.

  Overrides:
    `accept` in class `AttributeQualification`
  Parameters:
    `v` - the SearchQualificationVisitor
  Throws:
    `IfsException` - if error occurs in the visitor

### toSQL

    protected java.lang.String toSQL(java.lang.String innerViewName,
                                     java.lang.String innerAliasName,
                                     java.lang.String innerJoinColumn,
                                     java.lang.String condition)
                              throws IfsException

  Description copied from class: `AttributeSubqueryQualification`
  Returns the SQL clause that represents the qualification.

  The SQL returned is the form: `exists (select 1 from innerAliasName where innerAliasName. = . and {condition} )`

  Parameters:
    `innerViewName` - the inner view name
    `innerAliasName` - the inner alias name
    `innerJoinColumn` - the inner join column name
    `condition` - the attribute where clause condition
  Returns:
    the SQL clause
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD